<template>
<div>
    <div v-if="loading" class="loading fullheight" id="loader">
      <div class="lds-dual-ring"></div>
    </div>
    <v-container px-0 text-xs-center class="maxwidth">
      <v-layout row wrap px-0>
        <v-layout bg-image row wrap px-0 class="maxwidth">
          <v-flex xs9 sm9 md9 mb-3></v-flex>
          <v-flex xs3 sm3 md3 mt-2 mb-2>
            <TheLanguageSwitcher/>
          </v-flex>
          <v-flex xs12 sm12 md12 mb-2>
            <img class="logo-GranaPadano" fluid src="../assets/Logo/White@2x.png">
          </v-flex>
          <v-flex xs12 sm12 md12>
            <h2 class="mb-4">{{ $t('scannerizza_title') }}</h2>
            <p class="px-4">{{ $t('scannerizza_label') }}</p>
          </v-flex>

          <v-layout px-3 row align-center justify-center>
              <v-flex xs8 sm8 md8 lg8 mb-2>{{ $t('info_label') }}</v-flex>
              <router-link :to="{name:'Info', params: { parent: 'Home'}}">
                <v-flex xs1 sm1 md1 lg1>
                <info/>
              </v-flex>
            </router-link>
          </v-layout>

          <v-flex xs12 sm12 md12 lg12 mb-3 px-0>
            <a href="https://www.GranaPadanospa-blockchain.com/ocr-mobile/">
              <button class="button scannerizzacodice" type="button">
                    {{ $t('scannerizza_title') }}
              </button>
            </a>
          </v-flex>

          <v-flex xs12 sm12 md12 mb-1 px-0>
            <p>{{ $t('oppure') }}</p>
          </v-flex>

          <v-flex xs12 sm12 md12 mb-2 px-0>
            <v-layout row wrap justify-center class="bottoneinputtext">
              <v-flex>
                  <v-layout>
                    <input class="inputclass" v-on:keyup.enter="setBatch" v-model="searchText" v-bind:placeholder="$t('inserisci_il_codice_lotto')">
                      <button class="button" type="button" @click="this.setBatch">{{ $t('submit') }}</button>
                  </v-layout>
              </v-flex>
            </v-layout>
          </v-flex>

          <v-flex xs12 sm12 md12>
            <a href="#blockchain">
            <p>{{ $t('scopri_di_piu') }}</p>
            <img class="down-arrow" fluid src="../assets/Icons/Neg/Arrow@2x.png">
            </a>
          </v-flex>
          
        </v-layout>
      </v-layout>


      <v-layout pt-3 px-3 row wrap>
        <h2 class="titoletto text-center mb-4">{{ $t('why_blockchain_title') }}</h2>
            <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('why_blockchain_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200"></read-more>
      </v-layout>

      <v-layout px-3 row wrap >
        <carosello/>
      </v-layout>


      <v-layout row wrap class=" px-3">
      <img class="logo-fattoriecremona pb-3" fluid src="../assets/Logo/fattoriecremona.png">
      </v-layout>
            <v-layout row wrap class="text-xs-center px-3">

    <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('company_main_page_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200"></read-more>
      </v-layout>
    </v-container>

    <footerGranaPadano class="maxwidth"/>
</div>
</template>

<script>
import carosello from '@/components/carosello'
import TheLanguageSwitcher from '@/components/TheLanguageSwitcher'
import info from '@/components/info'
import footerGranaPadano from '@/components/footer'
//  import axios from 'axios'

export default {
  data () {
    return {
      name: 'Home',
      searchText: '',
      loading: false
    }
  },
  methods: {
    setBatch: function () {
      this.loading = true
      this.$store.dispatch('update_batch', this.searchText)
      this.$router.push({name: 'about', params: { id: this.searchText }})
    }
  },
  mounted () {
    this.$store.dispatch('update_batch', null)
    this.$store.dispatch('update_batchinfo', null)
    this.$store.dispatch('update_delivery_farmer', null)
  },
  created () {
    let uri = window.location.search.substring(1)
    let params = new URLSearchParams(uri)
    this.searchText = params.get('id')
  },
  components: {
    carosello,
    TheLanguageSwitcher,
    info,
    footerGranaPadano
  }
}
</script>

<style scoped>
a, u{
  text-decoration: none!important;
}

.px-0{
  padding:0px!important;
}
.down-arrow {
  padding: 0px;
  margin: 0px;
  height: 5vw;
}
.bottoneinputtext {
  padding: 1% 5%;
  background-color: white;
  opacity: 0.7;
  border-radius: 1000rem;
  width: 82%;
  min-height: 50px;
  margin-left: auto!important;
  margin-right: auto!important;
}
.align-center {
  margin: auto;
}

.immaginemozzarella {
  width: 90%;
  margin: auto;
}


.inputclass{
  color:black;
  min-height: 50px;
  font-size:1.2rem;
  width: 100%;
}
.button {
  background-color: #fcb042;
  border: none;
  color: white;
  padding: 8px 32px;
  text-align: center;
  display: inline-block;
  font-size: 1.2rem;
  text-decoration: none;
  border-radius: 1000rem;
  right: 0;
}
.scannerizzacodice {
  background-color: #ffffff;
  width: 80%;
  min-height: 50px;
  color:#000000
}

.logo-fattoriecremona{
  margin-right: auto;
margin-left: auto;
}

.logo-GranaPadano {
  width: 15%;
}

.main-logo-GranaPadano{
  width: 100%;
}
.bg-image {
  background-image: url("../assets/IMG/IMG_OCR@2x.png");
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;

  max-width: 700px;
  overflow: hidden;
  color: white!important;
  box-shadow: inset 0 0 0 400px rgba(55,39,40,.6);
}
a {
  color: white;
  text-decoration: none!important ;
}
a:hover{
    text-decoration:none;
    cursor:pointer;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #9ca4ab;
  opacity: 1; /* Firefox */
}
:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #9ca4ab;
}
::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #9ca4ab;
}
.logo-qr {
  height: 50px;
}
.input_btn {
  position: relative;
  right: 20%;
}
.bg-color-2{
  background-color: #f1efee;
}
span a {
    color: #ffda00!important;
    font-weight: 600;
    text-decoration: none!important;
    }
span a:visited  {
    color: #ffda00!important;
    font-weight: 600;
    text-decoration: none!important;
    }
#readmore {
    color: #ffda00!important;
    padding: 0px;
    border-radius: 999rem;
}
@media (min-width: 768px) {
.bg-image {
  background-image: url("../assets/IMG/IMG_OCR@2x.png");
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  height: 100%;
  overflow: hidden;
  color: white!important;
  box-shadow: inset 0 0 0 400px rgba(55,39,40,.6);

}
}
@media screen and (min-width: 1900px) {
  .container.grid-list-md .layout .flex {
      padding: 2px;
  }
}

@media screen and (max-width: 380px) {
  .logo-GranaPadano-section-company{
    width:10%;
  }
  .inputclass{
    font-size:1.05rem;
    width: 62%
  }
}
@media screen and (max-width: 321px) {
  .logo-GranaPadano-section-company{
    width:10%;
  }  
  .inputclass{
    font-size:1rem;
    width:80%
  }
}

</style>